Bug 138971 - anaconda become blackout with LCD
anaconda become blackout with LCD
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 04:02 EST by Akiumi HASEGAWA
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:32:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akiumi HASEGAWA 2004-11-12 04:02:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
When installing FC3 X86_64, soon after linux booting, LCD screen 
blackouts. The option "nofb" improbes this situation a little. But I 
can only see crashed "buttons". The option "text" may seems to work.
With this option, I can see welcom message.

GA-K8VM800M,Athron64 2800+ with DELL LCD monitor.

Version-Release number of selected component (if applicable):
anaconda of released CDROM image

How reproducible:
Always

Steps to Reproduce:
1.insert CD-1
2.media check
3.and select "continue"
    

Actual Results:  Linux is coming up and soon LCD blackout.

Expected Results:  Anaconda "Welcome message"

Additional info:

FC2 CDROM works a little better than FC3 CDROM.
But I also see crashed buttons soon after linux up for installing.
Comment 1 Akiumi HASEGAWA 2004-11-12 04:25:53 EST
i386 CDROM work well on the same machine.
X86_64 installer seems to fail in find out the appropriate monitor.
Comment 2 Paul Nasrat 2004-11-12 09:53:35 EST
Does passing resolution=XxY for the native X/Y of the panel help at
all? Eg resolution=1024x768?

Can you boot both the i386 and x86_64 installer in text mode and
switch to tty2 (Alt+F2) attach the output of running (all on one line):

python -c 'import kudzu; print
kudzu.probe(kudzu.CLASS_UNSPEC,kudzu.BUS_DDC,kudzu.PROBE_ALL)'
Comment 3 Akiumi HASEGAWA 2004-11-12 20:50:07 EST
DELL recommended value for WinXP is 1280x1028. But in the manual, I 
cannot find default resolution. The monitor does everything automatic.
Only I can do is pushing the "automatic tune" button.

The result of python -c ...

x86_64 CD only []

i386CD
[Desc:
  Id: None
  Mem on card: 65536
  HSync: 0-0
  Vsync: 0-0
  Physical width: 0mm
  Physical height: 0mm
,Desc: DELL E172FP
  Id: DEL a00a
  Mem on card: 0
  HSync: 31-80
  VSync: 56-76
  Physical width: 340mm
  Physical height: 270mm
]
Comment 4 Paul Nasrat 2004-11-15 13:51:57 EST
For some reason ddc is failing completely on x86_64. Bill any ideas?
Comment 5 Bill Nottingham 2004-11-15 13:55:07 EST
DDC probe doesn't work on x86-64 ; never has.
Comment 7 Paul Nasrat 2004-11-22 10:57:51 EST
Does passing to the x86_64 installer the argument

resolution=1280x1028

Work any better?
Comment 8 Akiumi HASEGAWA 2004-11-22 18:04:30 EST
How can I pass the parameter to the installer?
linux resolution=1280x1028 style?

The result is same. After X is coming up, the output to the monitor 
become turned off.
Comment 9 Akiumi HASEGAWA 2004-11-22 18:14:43 EST
"linux lowres" also fails.
Comment 10 Akiumi HASEGAWA 2004-12-06 00:03:17 EST
I guess that this problem seems to be the problem of X11 of xorg.
X11 for x86_64 does not support the chipset VIA K8M800.

But I wonder why FC3 for i386 works well.

Comment 11 Dave Bamford 2005-02-09 07:26:54 EST
This problem seems to be associated with the on-board Graphics for the
GA-K8VM800M motherboard.
On fitting an AGP card the installation continues OK.
Comment 12 Akiumi HASEGAWA 2005-02-09 19:32:28 EST
Thank you for your information.
I got a second hand AGP board and found that it works well.
I guess that the X of FC3_64 does not support on board K8M800 chip.
We should wait for another several months for the driver.
Comment 13 Matthew Miller 2006-07-10 19:32:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 14 Adam Jackson 2006-08-18 21:48:23 EDT
Does this work any better in xorg-x11-server 1.1.1-24 or later?
Comment 15 John Thacker 2006-10-30 17:32:19 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.